stages:
  - containerize
  - containerize_develop

containerize:
  stage: containerize
  image: docker:stable
  services:
    - docker:dind
  before_script:
    - echo "$DOCKER_PASS" | docker login -u "$DOCKER_USER" --password-stdin "$DOCKER_REGISTRY"
  script:
    - docker build -t "$DOCKER_IMAGE_NAME":"$CI_COMMIT_TAG" .
    - docker tag $DOCKER_IMAGE_NAME:$CI_COMMIT_TAG $DOCKER_IMAGE_NAME:latest
    - docker push $DOCKER_IMAGE_NAME:$CI_COMMIT_TAG
    - docker push $DOCKER_IMAGE_NAME:latest
  only:
    - tags
  except:
    - develop

containerize_develop:
  stage: containerize
  image: docker:stable
  services:
    - docker:dind
  before_script:
    - echo "$DOCKER_PASS" | docker login -u "$DOCKER_USER" --password-stdin "$DOCKER_REGISTRY"
  script:
    - docker build -t "$DOCKER_IMAGE_NAME":develop .
    - docker push $DOCKER_IMAGE_NAME:develop
  only:
    - develop
